Eliminar lista de precios
curl --request DELETE \
--url https://api.lapyme.com.ar/api/v1/price-lists/{price_list_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/price-lists/{price_list_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/price-lists/{price_list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_price_list_delete_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid parameters for deleting the price list",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_delete_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_delete_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_delete_1",
"error": {
"code": "NOT_FOUND",
"message": "Price list not found",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_delete_1",
"error": {
"code": "CONFLICT",
"message": "Could not delete the price list",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_price_list_delete_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not delete the price list",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Eliminar lista de precios
Elimina una lista de precios existente.
DELETE
/
api
/
v1
/
price-lists
/
{price_list_id}
Eliminar lista de precios
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
ID opcional de la solicitud para trazabilidad. Si se omite, el servidor genera uno.
Path Parameters
ID de la lista de precios
Was this page helpful?
⌘I

